Transcripts Genes
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/transcripts/genesimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/transcripts/genes"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/transcripts/genes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"name": "<string>",
"source": "<string>",
"source_url": "<string>",
"version": "<string>",
"gene": "<string>",
"transcript": "<string>"
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}API Reference
Transcripts Genes
Retrieve genes from transcripts.
Set verbose = true to retrieve full info on the genes.
At least one of these fields is required: transcript_id, region or transcript_type.
Example: transcript_id = ENST00000440782,
region = chr1:711800-740000,
transcript_type = protein_coding,
organism = Homo sapiens,
transcript_id = ENST00000443707 (Ensembl ID).
The limit parameter controls the page size and can not exceed 100.
Pagination is 0-based.
Transcripts Genes
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/transcripts/genesimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/transcripts/genes"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/transcripts/genes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"name": "<string>",
"source": "<string>",
"source_url": "<string>",
"version": "<string>",
"gene": "<string>",
"transcript": "<string>"
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Query Parameters
Available options:
IG_C_gene, IG_C_pseudogene, IG_D_gene, IG_J_gene, IG_J_pseudogene, IG_V_gene, IG_V_pseudogene, IG_pseudogene, Mt_rRNA, Mt_tRNA, TEC, TR_C_gene, TR_D_gene, TR_J_gene, TR_J_pseudogene, TR_V_gene, TR_V_pseudogene, artifact, lncRNA, miRNA, misc_RNA, non_stop_decay, nonsense_mediated_decay, processed_pseudogene, processed_transcript, protein_coding, protein_coding_CDS_not_defined, protein_coding_LoF, pseudogene, rRNA, rRNA_pseudogene, retained_intron, ribozyme, sRNA, scRNA, scaRNA, snRNA, snoRNA, transcribed_processed_pseudogene, transcribed_unitary_pseudogene, transcribed_unprocessed_pseudogene, translated_processed_pseudogene, translated_unprocessed_pseudogene, unitary_pseudogene, unprocessed_pseudogene, vault_RNA Available options:
Mus musculus, Homo sapiens Available options:
true, false